Skip to main content
GET
/
policy
/
rulesets
/
{ruleset}
/
manifest-users
/
{user}
Describe a User (User ID)
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/policy/rulesets/{ruleset}/manifest-users/{user} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "state": "staged",
  "timestamp": {
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "activated_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "count": {
    "workspace_logs_parent": 123,
    "workspace_logs_record": 123
  },
  "included": {
    "directory_user": {
      "id": "<string>",
      "state": "staged",
      "manager_id": "<string>",
      "is_manager": true,
      "full_name": "<string>",
      "email": "<string>",
      "username": "<string>",
      "org": {},
      "metadata": {}
    },
    "policy_rule": {
      "id": "<string>",
      "state": "staged",
      "role_name": "<string>",
      "role_handle": "<string>",
      "is_imported": true,
      "description": "<string>",
      "expires_after_days": 123,
      "expires_after_days_inherited": true,
      "priority": 123
    },
    "policy_ruleset": {
      "id": "<string>",
      "state": "unmanaged",
      "type": "directory_attribute",
      "resource_id": "<string>",
      "is_authoritative": true,
      "expires_after_days": 123
    }
  },
  "links": {
    "self": "<string>",
    "directory_user": "<string>",
    "policy_rule": "<string>",
    "policy_ruleset": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ruleset
string
required

Policy Ruleset ID

user
string
required

Directory User ID

Response

PolicyUserDetailedResponseData

id
string
required

The ID of the PolicyUser relationship (not the User)

Example:

"pousr_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The state of the Policy User relationship (not the User)

staged
The user is a draft and you can add or remove conditions. Users are not provisioned yet. This is only visible to administrators or in the API. Use the activate method during your change window to provision access to users.
active
The rule is active and conditions are locked. You can create a new rule or duplicate an existing rule to customize conditions, and deactivate the old rule after the new rule is activated. Matching users are now Ruleset (Manifest) Users and are provisioned and deprovisioned using the vendor APIs.
expiring
The rule is active, however expires_at value is set and is scheduled to expire. If the expires_after_days value is 0, users will lose access immediately when this rule expires.You can run the activate action to remove the scheduled expiration.
expired
The expires_at value is in the past and the rule was deactivated. If the user matched a different rule, then they did not lose access.
deactivated
The rule was deactivated manually by a ruleset or global admin.
Available options:
staged,
active,
expiring,
expired,
deactivated
timestamp
TimestampStateData · object
required

The timestamps for the policy user record

count
object
required

Count of related records

included
object
required

Included related resources

API hyperlinks related to the policy user record

Example:
{
"self": "https://ws-a1b2c3.provisionr.io/api/v1/policy/users/pousr_01hq8xyzabc123def456ghi789"
}